# dask.array.eye

dask.array.eye(N, chunks='auto', M=None, k=0, dtype=<class 'float'>)

  Return a 2-D Array with ones on the diagonal and zeros elsewhere.

  Parameters:
    N int

      Number of rows in the output.

    chunks int, str

      How to chunk the array. Must be one of the following forms:

      - A blocksize like 1000.

      - A size in bytes, like “100 MiB” which will choose a uniform block-like shape

      - The word “auto” which acts like the above, but uses a configuration value `array.chunk-size` for the chunk size

    M int, optional

      Number of columns in the output. If None, defaults to N.

    k int, optional

      Index of the diagonal: 0 (the default) refers to the main diagonal, a positive value refers to an upper diagonal, and a negative value to a lower diagonal.

    dtype data-type, optional

      Data-type of the returned array.

  Returns:
    I Array of shape (N,M)

      An array where all elements are equal to zero, except for the k-th diagonal, whose values are equal to one.